#pragma once

#include "stdafx.h"

public __gc class D3dPictureBox : public System::Windows::Forms::PictureBox
{
private:
	Device *m_device;

	void D3dInit( void );

public:
	D3dPictureBox();
	void Dispose(bool);
	void D3dRender();

protected:
	void OnPaint(PaintEventArgs*);

};
